Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19985/?format=api
{ "ob_id": 19985, "uuid": "a9f4876560234ded84ac87eb9d4853c6", "title": "ESA Greenland Ice Sheet Climate Change Initiative (Greenland_Ice_Sheet_cci): Greenland Surface Elevation Change from Cryosat-2, v2.0", "abstract": "This data set is part of the ESA Greenland Ice sheet CCI project. The data set provides surface elevation changes (SEC) for the Greenland Ice sheet derived from Cryosat 2 satellite radar altimetry, for the time period between 2010 and 2015.\r\n \r\nThe surface elevation change data are provided as 2-year means (2011-2012, 2012-2013, 2013-2014 and 2014-2015), and a five-year mean is also provided (2011-2015), along with their associated errors. Data are provided in both NetCDF and gridded ASCII format, as well as png plots.\r\n\r\nThe algorithm used to devive the product is described in the paper “Implications of changing scattering properties on the Greenland ice sheet volume change from Cryosat-2 altimetry” by S.B. Simonsen and L.S. Sørensen, which has been submitted to Remote Sensing of the Environment.", "keywords": "Greenland Ice Sheet, ESA, CCI", "publicationState": "published", "dataPublishedTime": "2016-11-30T14:20:25", "doiPublishedTime": null, "updateFrequency": "", "status": "superseded", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/20110/?format=api", "dataPath": "/neodc/esacci/ice_sheets_greenland/data/greenland_surface_elevation_change/cryosat2/v2.0/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 44708069, "numberOfFiles": 24, "fileFormat": "Data are in png, NetCDF and gridded ASCII formats" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/5269/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/895/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/18459/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55816/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55880/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69204/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69205/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69206/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69207/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69208/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69209/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69210/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69211/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69212/?format=api" ], "dataLineage": "Data were processed by the ESA CCI Greenland Ice Sheet project team and supplied to CEDA in the context of the ESA CCI Open Data Portal Project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14317/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14316/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75996/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75997/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75995/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/76440/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/104943/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105160/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/105338/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/75998/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/26728/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2553/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_icesheets_greenland_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }